Subject: [Roll] I-D Action: draft-ietf-roll-dao-projection-15.txt

From: [email-masked]
Date: Fri, 27 Nov 2020 10:05:25 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Routing Over Low power and Lossy networks WG of the IETF.

        Title           : Root initiated routing state in RPL
        Authors         : Pascal Thubert
                          Rahul Arvind Jadhav
                          Matthew Gillmore
	Filename        : draft-ietf-roll-dao-projection-15.txt
	Pages           : 36
	Date            : 2020-11-27

Abstract:
   This document extends RFC 6550 and RFC 6553 to enable a RPL Root to
   install and maintain Projected Routes within its DODAG, along a
   selected set of nodes that may or may not include self, for a chosen
   duration.  This potentially enables routes that are more optimized or
   resilient than those obtained with the classical distributed
   operation of RPL, either in terms of the size of a Routing Header or
   in terms of path length, which impacts both the latency and the
   packet delivery ratio.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-roll-dao-projection/

There is also an HTML version available at:
https://www.ietf.org/archive/id/draft-ietf-roll-dao-projection-15.html

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-roll-dao-projection-15

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Fri, 27 Nov 2020 18:10:16 +0000

Dear all:

As discussed in recent threads, I made a first round of changes.

The main change is the fact that the Track Root is now the ingress; I also added a flag in the RPI to signal that the packet ids forwarded along a projected route, including the RFC 8138 compression.

There's more to do to address the issues listed at IETF 109. Also need of cleanup and reshuffling.

Please let me know what you think?

Pascal

-----Original Message-----
From: Roll <[email-masked]> On Behalf Of [email-masked]
Sent: vendredi 27 novembre 2020 19:05
To: [email-masked]
Cc: [email-masked]
Subject: [Roll] I-D Action: draft-ietf-roll-dao-projection-15.txt

Abstract:

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

_______________________________________________
Roll mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/roll